package com.ashokit.transaction.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import com.ashokit.transaction.dao.AuditDao;
import com.ashokit.transaction.model.Audit;


@Service
public class AuditService {
	
	
	@Autowired
	private AuditDao auditDao;
	
	
	//New Transaction Object
	
	@Transactional(propagation = Propagation.REQUIRES_NEW)
	public Audit saveAudit(Audit auditObj) {
		return auditDao.save(auditObj);
	}

}
